Subject: Re: problems with ssh
From: [email-masked] (raf)

11 Feb 1998 21:44:01 -0800
Message-ID: <[email-masked]>
To: [email-masked]

>I am trying to use ssh, but there are some problems I just can't cope with.
>I have used the b-18 usertools.exe to create a basic environment. Than I
>tar xvzf coolview in /TEMP. And ssh-1.2.21.win.bin.tar.gz in /
>I made /etc/passwd and /etc/group with mkpasswd -l and mkgroups -l.
>All the below I tried with every settings of PATH, /TEMP, /bin and
>/usr/local/bin being in every order, every two of them and every one of
>them, /bin beeing symlink once to /gnuwin32/..../bin, a copy in the other
>time.
>When I tried ssh, it told me that I don't have controlling tty or DISPLAY.
>I have tried 3 things:
>-the output of 'tty' told me that I'm on /dev/conin so I
>mount \\\\.\\con: /dev/conin
>mount \\\\.\\con: /dev/conout
>mount \\\\.\\con: /dev/console
>No way.
>-I have tried to set DISPLAY to a nearby X terminal. I have managed to ru=
>n
>ssh-askpass alone, but ssh either didn't find random or getgroups in the
>cygwin.dll. Setting LD_PRELOAD to the other instance didn't help. Is ther=
>e a
>DISPLAY setting which actually uses the NT's own display without having t=
>o
>run an X server on it? I recall I've seen such a libX11 somewhere long ag=
>o.
>-I have tried to use an identity file. ssh told me that it can't open it,
>because permission denied. When I wanted to set the permissions with chow=
>n,
>they continued to be 755, despite anything I tried.

>PLEASE, anyone who could manage to actually use ssh tell me how to do tha=
>t,
>starting with a fresh NT 4.0 workstation or win95.

>Thank you in advance.

i've had same problem. this is what i know about it.

the 'mount con /dev/tty' works for some and not others.
to fix this, you could apply this patch.

diff -ur ssh-1.2.21/readpass.c ssh-1.2.21.stdin/readpass.c
--- ssh-1.2.21/readpass.c       Fri Aug 22 10:28:32 1997
+++ ssh-1.2.21.stdin/readpass.c Thu Feb 12 12:21:11 1998
@@ -96,6 +96,7 @@
   UserFile uf;
   int i;
   
+  from_stdin = 1;
   if (from_stdin)
     f = stdin;
   else

this prevents it from trying to use /dev/tty or $DISPLAY altogether.

as for using $DISPLAY, it seems that one program can spawn()
another which can then open $DISPLAY but if one program fork/exec()s
another, that program won't be able to open $DISPLAY.

raf
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".